require "AnAL"

local image 				= "a_move_01.png"
local frameWidth 			= 150
local frameHeight 			= 150
local delayBetweenFrames 	= 0.1		-- delay (in seconds) between frames
local numberOfFrames 		= 10		-- '0' means use all frames on the sprite sheet
local frameOffset 			= 0			-- the start frame of the animation
local playMode 				= "loop" 	-- can be "loop" or "once"

local animation = nil


   function mapFunction(x, y, r, g, b, a)
     -- if r > 100  and g == 0 and b == 0 then 
	if a == 255 then 
		r = 255
		g = 255
		b = 255
	 end
      return r,g,b,a
   end

function vit(imagePath, transR, transG, transB)
   local imageData = love.image.newImageData( imagePath )
   imageData:mapPixel( mapFunction )
   return love.graphics.newImage( imageData )
end



function love.load()
file = "animations/" .. image
	local image = love.graphics.newImage(file)
	imagev = vit(file)
	
	animation = newAnimation(image, frameWidth, frameHeight, delayBetweenFrames, numberOfFrames, frameOffset, nil)
	animation:setMode(playMode)
	
	animationv = newAnimation(imagev, frameWidth, frameHeight, delayBetweenFrames, numberOfFrames, frameOffset, nil)
	animation:setMode(playMode)
	
	--love.graphics.setBlendMode("subtractive")

end

timer = 0

function love.update(dt)

	if love.keyboard.isDown("x") then
		damage = true
	else
		damage = false
	end


	timer = timer + dt
	
	if not damage then
	animation:update(dt)
	else
	
	if timer > 0.1 then
	timer = 0
	vr = onoff(vr)
	end
		animationv:update(dt)
	end
end



function onoff(test)
	if test then return false end
	if not test then return true end
end

damage = false

function love.keypressed(key)
	if key == ' ' then
		animation:reset()
		animation:play()
	end
	
end
	
	
function love.draw()

	
	local screenWidth = love.graphics.getWidth()
	local screenHeight = love.graphics.getHeight()
	
		if vr then 
			love.graphics.setColor(255,0,0)
		else
			love.graphics.setColor(255,255,255)
		end
		
		if not damage then
		love.graphics.setColor(255,255,255)
		animation:draw( (screenWidth / 2) - (frameWidth / 2), (screenHeight / 2) - (frameHeight / 2) ) 
		else
		animationv:draw( (screenWidth / 2) - (frameWidth / 2), (screenHeight / 2) - (frameHeight / 2) ) 
		end
	
end